petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESTSFormJacobian

Function to evaluate the Jacobian

### Synopsis

    #include "petscts.h"
    PetscErrorCode  SNESTSFormJacobian(SNES snes,Vec U,Mat A,Mat B,void *ctx)

Collective on SNES Many br

### Input Parameter

| snes | - nonlinear solver Many br
| U | - the current state at which to evaluate the residual Many br
| ctx | - user context, must be a TS Many br

### Output Parameter

| A | - the Jacobian Many br
| B | - the preconditioning matrix (may be the same as A) Many br
| flag | - indicates any structure change in the matrix Many br

### Notes

This function is not normally called by users and is automatically registered with the SNES used by TS. Many br

Many br

### See Also

SNESSetJacobian()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages